
/* -------------------------------------------------
* Copyright 2005 Machineworks Northwest - All Rights reserved
* Programmer(s):  Seth A. Robinson (seth@rtsoft.com): 
* Created 4/17/2005 9:07:46 AM
*/


#pragma once

#include "main.h"
#include "Entity.h"

class EntObstacle: public Entity
{
    
public:
    EntObstacle();
    virtual ~EntObstacle();

    bool Init();
    
    virtual void  Render();
    virtual void  Update(float step);
    virtual void OnMessage(Message &msg);
    
private: 
  
    CL_Sprite *m_sprite; 
};